
Katello - Bug #5956

Content Views: "Packages" and "Errata" Content details not relevant for puppet repos

05/27/2014 05:26 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083314 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083314

Description of problem:

After syncing a puppet repo adding it to a content view, and viewing the repo, user gets "Packages" and "Errata" details in the

Content column.  This is not relevant for puppet data.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.16-1.el6sat.noarch

foreman-postgresql-1.5.0.16-1.el6sat.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.32-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch

How reproducible:
https://bugzilla.redhat.com/show_bug.cgi?id=1083314


Steps to Reproduce:

1.  Sync a puppet repo (i.e., forge.puppetlabs.com)

2.  Add this repo to a content view

3.  From the main Content View UI, click the name of your CV.

4.  View results

Actual results:

0 Packages

0 Errata ( 0 0 0 )

Expected results:

Packages and Errata are irrelevant terms for a CV that contains only puppet modules.

I'm not sure if there is an easy way to remove this/figure out some sort of taxonomy, but an option might be to add "Puppet Modules"

as an option in this column, so it might read, for ANY content view something like

0 Packages

0 Errata ( 0 0 0 )

2238 Puppet Modules

or

1223 Packages

100 Errata (50 25 25)

0 Puppet Modules

In general -- we need to treat things contextually and not display information that is irrelevant and/or confusing for a given repo type.

Additional info:

Associated revisions

Revision 07e28bb6 - 05/28/2014 02:31 PM - Walden Raines

Fixes #5956/BZ1083314 - add puppet module count to content view versions.

Revision 69c1bdbe - 05/28/2014 04:23 PM - Walden Raines

Merge pull request #4170 from waldenraines/5956

Fixes #5956/BZ1083314 - add puppet module count to content view versions.

Revision 877ff4df - 05/28/2014 06:31 PM - Walden Raines

Fixes #5956/BZ1083314 - add puppet module count to content view versions.

Revision 0e757152 - 05/28/2014 08:23 PM - Walden Raines

Merge pull request #4170 from waldenraines/5956

Fixes #5956/BZ1083314 - add puppet module count to content view versions.

History

#1 - 05/27/2014 05:26 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/28/2014 06:32 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4170

#3 - 05/28/2014 06:56 PM - Eric Helms

- Target version set to 45

#4 - 05/28/2014 08:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed
https://github.com/Katello/katello/pull/4170


- % Done changed from 0 to 100

Applied in changeset katello|commit:877ff4df63517f6b26cc95639756a6e958465c69.

#5 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
